using namespace std;

int main()
{
    int m,n,p,q;
    int a[10000];
    int k=0;
    cin>>m>>n;
    for(int i=1;i<=m;i++)
    {
        cin>>a[i];
    }
    for(int j=0;j<n;j++)
    {
     cin>>p>>q;
     k+=max((a[p]+a[q]),(-a[p]-a[q]));
    }
    cout<<k<<endl;
}